CIMG Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/cimg-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/cimg-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1756771200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.prnewswire.com/news-releases/cimg-inc-completes-the-previously-announced-sale-of-55-million-of-its-common-stock-for-500-bitcoin-302544170.html",
    "holding_balance": 500.0,
    "holding_net_change": 500.0,
    "transaction_value_usd": 55000000.0,
    "average_entry_value_usd": 110000.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1765929600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.prnewswire.com/news-releases/cimg-inc-acquires-230-bitcoin-bringing-total-holdings-to-730-302644630.html",
    "holding_balance": 730.0,
    "holding_net_change": 230.0,
    "transaction_value_usd": 19820006.2,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/cimg-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    730.0
  ],
  [
    1779062400000,
    730.0
  ],
  [
    1779148800000,
    730.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/cimg-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    56523797.8
  ],
  [
    1779062400000,
    56169317.1
  ],
  [
    1779148800000,
    56034807.3
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/cimg-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.051,
    "date": "2026-05-05",
    "high": 0.059,
    "open": 0.059,
    "close": 0.055,
    "volume": 33172
  },
  {
    "low": 0.0369,
    "date": "2026-05-06",
    "high": 0.055,
    "open": 0.05,
    "close": 0.05,
    "volume": 58775
  },
  {
    "low": 0.039,
    "date": "2026-05-07",
    "high": 0.05,
    "open": 0.05,
    "close": 0.05,
    "volume": 19348
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/cimg-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cimg-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 51.52,
  "six_month_return": -98.68,
  "three_month_return": -91.52
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cimg-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1624.3,
  "total_btc_percentage": 0.003,
  "share_price_change_state": "down"
}